Show / Hide Table of Contents

# AsyncSelectTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncSelectTrigger : AsyncTriggerBase<BaseEventData>, IUniTaskAsyncEnumerable<BaseEventData>, ISelectHandler

##### Inheritance

System.Object → AsyncTriggerBase<BaseEventData> → AsyncSelectTrigger

##### Implements

IUniTaskAsyncEnumerable<BaseEventData>
ISelectHandler

### Members

#### Methods

Name | Description
--- | ---
GetOnSelectAsyncHandler() |
GetOnSelectAsyncHandler(CancellationToken) |
OnSelectAsync() |
OnSelectAsync(CancellationToken) |

### Methods

#### GetOnSelectAsyncHandler()

    public IAsyncOnSelectHandler GetOnSelectAsyncHandler()

##### Returns

IAsyncOnSelectHandler

#### GetOnSelectAsyncHandler(CancellationToken)

    public IAsyncOnSelectHandler GetOnSelectAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnSelectHandler

#### OnSelectAsync()

    public UniTask<BaseEventData> OnSelectAsync()

##### Returns

UniTask<BaseEventData>

#### OnSelectAsync(CancellationToken)

    public UniTask<BaseEventData> OnSelectAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask<BaseEventData>

### Implements

IUniTaskAsyncEnumerable<T>
ISelectHandler